libhandy-1 (1.8.3-3) unstable; urgency=medium

  * Stop building glade catalog support
  * Update gir packaging

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 13:20:20 -0400

libhandy-1 (1.8.3-2) unstable; urgency=medium

  * Add ${gir:Depends} ${gir:Provides} to -dev package
  * Update Recommends pkg-config → pkgconf
  * Update Homepage
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 13:25:07 -0500

libhandy-1 (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * autopkgtest: Allow stderr for mesa's zink errors

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 16:04:38 -0500

libhandy-1 (1.8.2-3) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/rules: Run tests under a dbus-daemon for better coverage
  * Build-depend on librsvg2-common.
    We need the SVG loader for the avatar-default-symbolic icon.
    (Closes: #1052965)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2023 17:30:37 +0100

libhandy-1 (1.8.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 16:30:50 -0400

libhandy-1 (1.8.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 14:21:06 -0500

libhandy-1 (1.8.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 08:25:19 -0500

libhandy-1 (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 09:59:34 -0400

libhandy-1 (1.7.90-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set our default team build options

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 13:27:26 -0400

libhandy-1 (1.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 20 Jul 2022 09:48:57 +0200

libhandy-1 (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 10:00:33 -0400

libhandy-1 (1.6.1-3) unstable; urgency=medium

  * autopkgtest: Mark as superficial

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 19:54:55 -0400

libhandy-1 (1.6.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 23:41:00 -0400

libhandy-1 (1.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 18:07:00 -0400

libhandy-1 (1.6.0-1) experimental; urgency=medium

  * New upstream release
  * Drop dark theme patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 11:17:55 -0400

libhandy-1 (1.5.91-2) experimental; urgency=medium

  * Cherry-pick patch to handle switching to the new dark theme when a "-dark"
    theme is already in use
  * Upload to experimental since this change makes more sense with a
    gnome-control-center that can set the new Dark theme preference

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 09:49:07 -0400

libhandy-1 (1.5.91-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 11:11:12 -0500

libhandy-1 (1.5.90-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome
  * Build-Depend on gi-docgen
  * debian/libhandy-1-dev.install: Update for new docs install location
  * Drop swipe-tracker-Guard patch: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 11:13:18 -0500

libhandy-1 (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Update symbols file
  * swipe-tracker: Guard all swipeable access with NULL

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Nov 2021 10:08:30 +0100

libhandy-1 (1.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 07 Sep 2021 10:53:13 +0200

libhandy-1 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate
  * Upload to experimental
  * d/libhandy-1-0.symbols: Add new public symbols
  * d/gbp.conf: Switch to upsteam-vcs-tag based workflow
  * d/gbp.conf: Filter .gitattributes out of upstream tarball.
    It only causes grief during CI

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Sep 2021 15:01:50 +0200

libhandy-1 (1.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Aug 2021 10:45:30 +0200

libhandy-1 (1.2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Aug 2021 12:30:56 +0200

libhandy-1 (1.2.2-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 27 Apr 2021 10:18:04 +0200

libhandy-1 (1.2.0-1) experimental; urgency=medium

  * New upstream version 1.2.0
    Dropped .gitattributes on import to allow for CI builds
  * Drop avatar-Ignore-deprecations-....patch - fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Mar 2021 10:46:43 +0100

libhandy-1 (1.1.90-2) experimental; urgency=medium

  * Rediff patches
  * avatar: Ignore deprecations in hdy_avatar_set_image_load_func()
    Otherwise -Werror builds break due to libhandy itself.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Mar 2021 10:46:33 +0100

libhandy-1 (1.1.90-1) experimental; urgency=medium

  * Upload to experimental (Closes: #983525)
  * New upstream version 1.1.90
  * Drop backported patches
  * Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Feb 2021 09:29:10 +0100

libhandy-1 (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sun, 27 Dec 2020 12:24:47 +0100

libhandy-1 (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * d/patches: drop upstreamed patch

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 14 Nov 2020 12:39:56 +0100

libhandy-1 (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * d/patches: remove unneeded backported patches

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 31 Oct 2020 12:22:19 +0100

libhandy-1 (1.0.0-3) unstable; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * Backport HdyCarousel fixes.
    Upstream commits ddfd9b75e9db1fae9166debb13dc188f68d0f90e and
    bdfb9a99e20b5a3139f9828beb95266188af271f.
    See also https://gitlab.gnome.org/GNOME/libhandy/-/merge_requests/623

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Oct 2020 09:51:31 +0100

libhandy-1 (1.0.0-2) unstable; urgency=medium

  * Rediff patches
  * swipe-tracker: Special case dragging from buttons. Backport of upstream
    commit 52eabe10f52a53794a90921baa78792f99c304a9.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Sep 2020 11:19:44 +0200

libhandy-1 (1.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 09 Sep 2020 14:17:51 +0200

libhandy-1 (0.90.0-1) unstable; urgency=medium

  * New upstream version 0.90.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Aug 2020 15:31:14 +0200

libhandy-1 (0.85.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * Add Arnaud to uploaders

  [ Arnaud Ferraris ]
  * New upstream release 0.85.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 03 Aug 2020 12:56:10 +0200

libhandy-1 (0.84.0-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian: Update autopkgtests.
    This improves the autopkgtest to not use deprecated symbols,
    do a runtime test and be more cross build friendly.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=946676

  [ Guido Günther ]
  * debian: Package API version 1
  * d/control: Switch maintainer to team address
  * debian: Fix source package name.
    Like gtk4 and gtk3 we want libhandy-0 and libhandy-1 be different
    source packages so they can exist in parallel.

  [ Adrien Plazas ]
  * debian: Remove 0.0 symbols.
    We don't need them anymore.
  * debian: Don't use hdy_init() in build test programs.
    It has been dropped, use other functions instead.
  * debian: Add missing symbols.
    Add missing hdy_navigation_direction_get_type and
    hdy_navigation_direction_get_type symbols.
  * debian: Add missing symbols.
    Add missing symbols for HdyDeck and HdyStackableBox.
  * debian: Use HdyKeypad in the Python GI test.
    This stops using string utility functions we drop in the next commit.
  * debian: Drop handy-1-examples's dep on libhandy-0.0-0.
    It of course needs libhandy-1-0, which is automatically added.
    Fixes https://source.puri.sm/Librem5/libhandy/issues/261
  * debian: Bump the 0.9.90 symbols to 0.80.0.
    They will actually be introduced in the 0.80.0 tag.
  * debian: Update the symbols
  * debian: Fail if introduced symbols are not listed.
    This will help us properly maintain the symbols file.
  * debian: Fix some symbol versions
  * debian: Add missing symbols

  [ Alexander Mikhaylenko ]
  * debian: Update Glade module soname.

  [ Arnaud Ferraris ]
  * d/libhandy-1-0: install locales
  * debian: remove remaining libhandy-0.0 packaging files
  * d/control: bump Standards-Version and debhelper-compat
  * d/gbp.conf: align with other DebianOnMobile projects
    In order to keep consistency with other projects maintained by the
    DebianOnMobile team, use the same branch names and drop extra options.
  * d/control: add Rules-Requires-Root
  * d/control: change VCS URLs to libhandy-1 repo
  * d/symbols: add Build-Depends field
  * debian: add watch file
  * remove .gitattributes and files it points to

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 17 Jul 2020 15:23:33 +0200

libhandy (0.0.13-2) unstable; urgency=medium

  * [0fd724f] Disable atk during tests.
    This fixes test problems on GNU Hurd.
    Thanks to Samuel Thibault for investigating
    (Closes: #953971)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Mar 2020 10:14:43 +0100

libhandy (0.0.13-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream version 0.0.13

  [ Sebastien Bacher ]
  * [4c770b6] Update the build test to closer from other GNOME ones.
    Fix some issues/the current test failing
      - don't use a deprecated function
      - handle cross build autopkgtest environment
      - include a runtime test as well (Closes: #946676)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Dec 2019 12:22:18 +0100

libhandy (0.0.12-1) unstable; urgency=medium

  * New upstream version 0.0.12

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Dec 2019 09:49:04 +0100

libhandy (0.0.11-1) unstable; urgency=medium

  * New upstream version 0.0.11

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Sep 2019 01:11:28 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libhandy-1-0`.
